.\"	$NetBSD: intro.4,v 1.12 2005/06/20 13:25:25 peter Exp $
.\"
.\" Copyright (c) 1980, 1991, 1993
.\"	The Regents of the University of California.  All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. Neither the name of the University nor the names of its contributors
.\"    may be used to endorse or promote products derived from this software
.\"    without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\"     from: @(#)intro.4	8.1 (Berkeley) 6/5/93
.\"
.Dd June 5, 1993
.Dt INTRO 4 vax
.Os
.Sh NAME
.Nm intro
.Nd introduction to vax special files and hardware support
.Sh DESCRIPTION
This section describes the special files, related driver functions,
and networking support
available in the system.
In this part of the manual, the
.Tn SYNOPSIS
section of
each configurable device gives a sample specification
for use in constructing a system description for the
.Xr config 1
program.
The
.Tn DIAGNOSTICS
section lists messages which may appear on the console
and/or in the system error log
.Pa /var/log/messages
due to errors in device operation;
see
.Xr syslogd 8
for more information.
.Sh VAX DEVICE SUPPORT
This section describes the hardware supported on the
.Tn DEC
.Tn VAX-11 .
Software support for these devices comes in two forms.  A hardware
device may be supported with a character or block
.Em device driver ,
or it may be used within the networking subsystem and have a
.Em network interface driver .
Block and character devices are accessed through files in the file
system of a special type; see
.Xr physio 4
and
.Xr mknod 8 .
Network interfaces are indirectly accessed through the interprocess
communication facilities provided by the system; see
.Xr socket 2 .
.Pp
A hardware device is identified to the system at configuration time
and the appropriate device or network interface driver is then compiled
into the system.  When the resultant system is booted, the
autoconfiguration facilities in the system probe for the device
on either the
.Tn UNIBUS
(or
.Tn Q-bus )
or
.Tn MASSBUS
and, if found, enable the software
support for it.  If a
.Tn UNIBUS
device does not respond at autoconfiguration
time it is not accessible at any time afterwards.  To
enable a
.Tn UNIBUS
device which did not autoconfigure, the system will have to
be rebooted.  If a
.Tn MASSBUS
device comes
.Dq on-line
after the autoconfiguration sequence
it will be dynamically autoconfigured into the running system.
.Pp
The autoconfiguration system is described in
.Xr autoconf 4 .
A list of the supported devices is given below.
.Sh SEE ALSO
.Xr config 1 ,
.Xr autoconf 4 ,
.Xr netintro 4
.Rs
.%T "Building 4.3 BSD UNIX Systems with Config"
.%B SMM
.%N 2
.Re
.Sh LIST OF DEVICES
The devices listed below are supported in this incarnation of
the system.  Pseudo-devices are not listed.
Devices are indicated by their functional interface.
If second vendor products provide functionally identical interfaces
they should be usable with the supplied software.
.Bf -symbolic
Beware,
however, that we promise the software works
ONLY with the hardware indicated on the appropriate manual page.
.Ef
Occasionally, new devices of a similar type may be added
simply by creating appropriate table entries in the driver.
.Pp
.Bl -column tmscp description -offset indent
.It acc	ACC LH/DH IMP communications interface
.It ad	Data translation A/D interface
.It css	DEC IMP-11A communications interface
.It crl	VAX-8600, 8650 console RL02 disk
.It ct	C/A/T or APS phototypesetter
.It ddn	ACC ACP625 DDN Standard Mode X.25 IMP interface
.It de	DEC DEUNA 10Mb/s Ethernet controller
.It dh	DH-11 emulators, terminal multiplexor
.It dhu	DHU-11 terminal multiplexor
.It dmc	DEC DMC-11/DMR-11 point-to-point communications device
.It dmf	DEC DMF-32 terminal multiplexor and parallel printer interface
.It dmz	DEC DMZ-32 terminal multiplexor
.It dn	DEC DN-11 autodialer interface
.It dz	DZ-11 terminal multiplexor
.It ec	3Com 10Mb/s Ethernet controller
.It en	Xerox 3Mb/s Ethernet controller (obsolete)
.It ex	Excelan 10Mb/s Ethernet controller
.It fl	VAX-11/780 console floppy interface
.It hdh	ACC IF-11/HDH IMP interface
.It hk	RK6-11/RK06 and RK07 moving head disk
.It hp	MASSBUS disk interface (with RP06, RM03, RM05, etc.)
.It ht	TM03 MASSBUS tape drive interface (with TE-16, TU-45, TU-77)
.It hy	DR-11B or GI-13 interface to an NSC Hyperchannel
.It ik	Ikonas frame buffer graphics device interface
.It il	Interlan 1010, 1010A 10Mb/s Ethernet controller
.It ix	Interlan NP-100 10Mb/s Ethernet controller
.It kg	KL-11/DL-11W line clock
.It lp	LP-11 parallel line printer interface
.It mt	TM78 MASSBUS tape drive interface
.It np	Interlan NP-100 10Mb/s Ethernet controller (intelligent mode)
.It pcl	DEC PCL-11 communications interface
.It ps	Evans and Sutherland Picture System 2 graphics interface
.It qe	DEC DEQNA Q-bus 10 Mb/s Ethernet interface
.It rx	DEC RX02 floppy interface
.It tm	TM-11/TE-10 tape drive interface
.It tmscp	TMSCP-compatible tape controllers (e.g., TU81, TK50)
.It ts	TS-11 tape drive interface
.It tu	VAX-11/730 TU-58 console cassette interface
.It uda	DEC UDA-50 disk controller
.It un	DR-11W interface to Ungermann-Bass
.It up	Emulex SC-21V, SC-31 UNIBUS disk controller
.It ut	UNIBUS TU-45 tape drive interface
.It uu	TU-58 dual cassette drive interface (DL-11)
.It va	Benson-Varian printer/plotter interface
.It vp	Versatec printer/plotter interface
.It vv	Proteon proNET 10Mb/s and 80Mb/s ring network interface
.El
.Sh HISTORY
The section 4
.Nm intro
appeared in
.Bx 4.1 .
